Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003953 [JEDI VCL] 00 JVCL Components major always 2006-10-13 03:04 2009-07-09 14:22
Reporter rf View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003953: autohide dock forms (vs.net style) are shown wrong if their poperty "position" set to "paMainFormCenter"
Description Steps:
1. Create main form with vs.net style docking
2. Create docking form with vs.net style docking and set property "Position" to poMainFormCenter
3. Run application, dock form to the main form and set "autohide"
4. Save layout (SaveDockTreeFromFile)
5. Restart application
6. Load layout (LoadDockTreeFromFile).
7. Try to popup collapsed form. Is will be placed incorrectly. But at second try it will be already OK.

See example (Delphi2006) in the attachment
Additional Information
Tags No tags attached.
Attached Files zip file icon DockingBug.zip [^] (6,135 bytes) 2006-10-13 03:04

- Relationships

-  Notes
(0010526)
obones (administrator)
2007-01-04 04:18

I'm seeing this as well. Any takers?
(0013417)
obones (administrator)
2007-06-19 04:56

Does this still happen with the very latest SVN version?
(0013893)
obones (administrator)
2007-10-12 04:07

This is still here, please someone have a look at this
(0015808)
obones (administrator)
2009-07-09 14:22

I believe this has been fixed in the latest developments

- Issue History
Date Modified Username Field Change
2006-10-13 03:04 rf New Issue
2006-10-13 03:04 rf File Added: DockingBug.zip
2007-01-04 04:18 obones Note Added: 0010526
2007-01-04 04:18 obones Status new => confirmed
2007-06-19 04:56 obones Note Added: 0013417
2007-06-19 04:56 obones Status confirmed => feedback
2007-10-12 04:07 obones Note Added: 0013893
2007-10-12 04:07 obones Status feedback => confirmed
2009-07-09 14:22 obones Note Added: 0015808
2009-07-09 14:22 obones Status confirmed => resolved
2009-07-09 14:22 obones Fixed in Version => Daily / SVN
2009-07-09 14:22 obones Resolution open => fixed
2009-07-09 14:22 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker